rte_gtp_psc_type0_hdr(3)

NAME
rte_gtp_psc_type0_hdr

SYNOPSIS

#include <rte_gtp.h>

  Data Fields

uint8_t ext_hdr_len
uint8_t type:4
uint8_t qmp:1
uint8_t snp:1
uint8_t spare_dl1:2
uint8_t ppp:1
uint8_t rqi:1
uint8_t qfi:6
uint8_t data [0]

Detailed Description

Optional extension for GTP with next_ext set to 0x85 type0 defined based on RFC 38415-g30

Definition at line 88 of file rte_gtp.h.

Field Documentation

  uint8_t ext_hdr_len
PDU ext hdr len in multiples of 4 bytes

Definition at line 89 of file rte_gtp.h.

  uint8_t type
PDU type

Definition at line 91 of file rte_gtp.h.

  uint8_t qmp
Qos Monitoring Packet

Definition at line 92 of file rte_gtp.h.

  uint8_t snp
Sequence number presence

Definition at line 93 of file rte_gtp.h.

  uint8_t spare_dl1
spare down link bits

Definition at line 94 of file rte_gtp.h.

  uint8_t ppp
Paging policy presence

Definition at line 95 of file rte_gtp.h.

  uint8_t rqi
Reflective Qos Indicator

Definition at line 96 of file rte_gtp.h.

  uint8_t qfi
Qos Flow Identifier

Definition at line 97 of file rte_gtp.h.

  uint8_t data[0]
variable length data fields

Definition at line 107 of file rte_gtp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.